import ReduxServer from "../../packages/pawjs-redux/src/server";

export default class Server {

  constructor({addPlugin}) {

    const reduxServer = new ReduxServer();
    reduxServer.setReducers({
      counter: function(state = null) {
        return state;
      }
    });

    addPlugin(reduxServer);
  }

  apply(serverHandler) {
    serverHandler
      .hooks
      .reduxInitialState
      .tapPromise("AppInitialState", async (reduxState) => {
        reduxState.setInitialState({
          counter: 1
        });
      });
  }
}